<template>
    <div
        class="w-full px-4 py-6"
    >
        <div
            class="w-full"
        >
            <div
                class="w-full lg:max-w-[360px] lg:mx-auto balance-box font-bold font-mono px-4 py-2 rounded-lg"
            >
                <div
                    class="grid grid-cols-2 gap-x-2 mb-2"
                >
                    <div
                        class="flex justify-start space-x-2 items-center"
                    >
                        <div>
                            <img
                                :src="'/img/ranking/investor-active.png'"
                                class="w-8 h-8 rounded-full bg-white"
                            />
                        </div>
                        <div
                            class="text-center"
                        >
                            <div>
                                {{ $t('ranking_0') }}
                            </div>
                            <div
                                class="text-xs"
                            >
                                ({{ $t('active') }})
                            </div>
                        </div>
                    </div>
                    <div
                        class="flex justify-start space-x-2 items-center"
                    >
                        <div>
                            <img
                                :src="'/img/ranking/investor-inactive.png'"
                                class="w-8 h-8 rounded-full bg-white"
                            />
                        </div>
                        <div
                            class="text-center"
                        >
                            <div>
                                {{ $t('ranking_0') }}
                            </div>
                            <div
                                class="text-xs"
                            >
                                ({{ $t('inactive') }})
                            </div>
                        </div>
                    </div>
                </div>
                <div
                    v-for="rank in [1,2,3]"
                    :key="`ranking-legend-${rank}`"
                    class="grid grid-cols-2 gap-x-2 mb-2"
                >
                    <div
                        class="flex justify-start space-x-2 items-center"
                    >
                        <div>
                            <img
                                :src="`/img/ranking/bm-${rank}-active.png`"
                                class="w-8 h-8 rounded-full bg-white"
                            />
                        </div>
                        <div
                            class="text-center"
                        >
                            <div>
                                {{ $t(`bm${rank}`) }}
                            </div>
                            <div
                                class="text-xs"
                            >
                                ({{ $t('active') }})
                            </div>
                        </div>
                    </div>
                    <div
                        class="flex justify-start space-x-2 items-center"
                    >
                        <div>
                            <img
                                :src="`/img/ranking/bm-${rank}-inactive.png`"
                                class="w-8 h-8 rounded-full bg-white"
                            />
                        </div>
                        <div
                            class="text-center"
                        >
                            <div>
                                {{ $t(`bm${rank}`) }}
                            </div>
                            <div
                                class="text-xs"
                            >
                                ({{ $t('inactive') }})
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div
            class="overflow-x-scroll overflow-y-scroll w-full pt-6"
        >
            <tree-root
                url="/team/hierarchy"
            />
        </div>
    </div>
</template>
<script setup>
import TreeRoot from "!/shared/plugins/tree-vue/components/tree-root.vue";
import CustomCard from "!/admin/components/custom-card.vue";
</script>
